# $Revision: 1.39 $, $Date: 2009/10/11 20:58:13 $
Summary:	X font library used by the X server
Summary(pl.UTF-8):	Używana przez X serwer biblioteka fontów X
Name:		xorg-lib-libXfont
Version:	1.4.1
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{version}.tar.bz2
# Source0-md5:	4f2bed2a2be82e90a51a24bb3a22cdf0
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	freetype-devel >= 2
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libfontenc-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-fontcacheproto-devel
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRequires:	zlib-devel
Obsoletes:	libXfont
Obsoletes:	xorg-app-mkcfm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libXfont provides the core of the legacy X11 font system, handling the
index files (fonts.dir, fonts.alias, fonts.scale), the various font
file formats, and rasterizing them. It is used by the X servers, the
X Font Server (xfs), and some font utilities (bdftopcf for instance),
but should not be used by normal X11 clients. X11 clients access fonts
via either the new API's in libXft, or the legacy API's in libX11.

%description -l pl.UTF-8
libXfont udostępnia główną część starego systemu fontów X11,
obsługującą pliki indeksów (fonts.dir, fonts.alias, fonts.scale),
różne formaty plików fontów oraz rasteryzację ich. Jest używana przez
serwer X, serwer fontów X (xfs - X Font Server) i różne narzędzia
związane z fontami (np. bdftopcf), ale nie powinna być używana przez
normalne aplikacje klienckie X11. Te ostatnie powinny odwoływać się
do fontów przez nowe API w libXft lub stare API w libX11.

%package devel
Summary:	Header files for libXfont library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXfont
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bzip2-devel
Requires:	freetype-devel >= 2
Requires:	xorg-lib-libfontenc-devel
Requires:	xorg-lib-xtrans-devel
Requires:	xorg-proto-fontsproto-devel
Requires:	zlib-devel
Obsoletes:	libXfont-devel

%description devel
X font library used by the X server.

This package contains the header files needed to develop programs that
use libXfont.

%description devel -l pl.UTF-8
Używana przez X serwer biblioteka fontów X.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXfont.

%package static
Summary:	Static libXfont libraries
Summary(pl.UTF-8):	Biblioteki statyczne libXfont
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXfont-static

%description static
X font library used by the X server.

This package contains the static libXfont library.

%description static -l pl.UTF-8
Używana przez X serwer biblioteka fontów X.

Pakiet zawiera statyczną bibliotekę libXfont.

%prep
%setup -q -n libXfont-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-bzip2

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXfont.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXfont.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXfont.so
%{_libdir}/libXfont.la
%{_includedir}/X11/fonts/*.h
%{_pkgconfigdir}/xfont.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXfont.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXfont.spec,v $
Revision 1.39  2009/10/11 20:58:13  qboosh
- util-macros version
- enhaced descs
- -devel R: bzip2-devel, zlib-devel

Revision 1.38  2009/10/10 07:46:02  arekm
- up to 1.4.1

Revision 1.37  2009/02/18 19:01:29  arekm
- up to 1.4.0

Revision 1.36  2008/12/25 13:07:40  qboosh
- updated to 1.3.4

Revision 1.35  2008/07/02 20:00:43  arekm
- up to 1.3.3

Revision 1.34  2008-03-06 21:29:03  qboosh
- ghost soname symlink

Revision 1.33  2008-03-06 07:26:45  arekm
- up to 1.3.2 (fixes one CVE that we already had fixed)

Revision 1.32  2008-01-18 07:29:18  arekm
- rel 2 (fixes CVE-2008-0006)

Revision 1.31  2007/09/05 17:53:21  qboosh
- updated to 1.3.1

Revision 1.30  2007/07/03 17:09:10  qboosh
- updated to 1.3.0

Revision 1.29  2007/06/25 21:11:22  qboosh
- updated to 1.2.9

Revision 1.28  2007/04/05 11:53:26  qboosh
- added CVE references to previous changelog entry

Revision 1.27  2007/04/05 06:18:10  arekm
- up to 1.2.8 [fixes CVE-2007-1351 CVE-2007-1352]

Revision 1.26  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.24  2007/01/23 08:27:14  arekm
- up to 1.2.7

Revision 1.23  2006/12/16 15:35:33  arekm
- up to 1.2.6

Revision 1.22  2006/12/01 19:45:15  qboosh
- Obsoletes: xorg-app-mkcfm (CID API removed from libXfont since 1.2.4)

Revision 1.21  2006/11/30 23:15:53  arekm
- up to 1.2.5

Revision 1.20  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.19  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.18  2006/10/13 22:30:27  qboosh
- updated to 1.2.3

Revision 1.17  2006/09/12 16:38:03  qboosh
- updated to 1.2.2

Revision 1.16  2006/09/12 15:30:05  arekm
- up to 1.2.1; CVE-ID 2006-3739, 2006-3740

Revision 1.15  2006/07/10 07:47:31  qboosh
- updated to 1.2.0

Revision 1.14  2006/04/02 09:15:55  arekm
- up to 1.1.0

Revision 1.13  2005/12/28 11:02:27  qboosh
- sources from X11R7.0 release

Revision 1.12  2005/12/20 12:40:21  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.11  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.10  2005/12/04 11:14:17  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.9  2005/11/19 19:04:47  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 15:03:02  qboosh
- 0.99.1 (X11R7.0-RC1)
- libfontcache separated, updated deps

Revision 1.6  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.5  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.4  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.3  2005/08/27 17:37:40  wiget
- freebsd patch not needed on linux

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.13  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

* Fri Aug 12 2005 23:52:23  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- removed redundant BR: xproto-devel
- removed redundant R: xproto-devel from devel
- release 0.03

* Fri Aug 12 2005 11:12:21  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed descriptions
- defined %%{_prefix}
- added %%doc
- added --enable-type1 to configure
- added freetype patch
- release 0.02

* Fri Aug  5 2005 13:49:31  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
